use crate::config::CONFIG;
use valence::bevy_ecs::{self, prelude::*};

#[derive(Resource)]
pub struct Connection(pub redis::Connection);

pub fn setup(mut commands: Commands) {
    let client = redis::Client::open(CONFIG.db.address.clone()).unwrap();
    let connection = client.get_connection().unwrap();

    commands.insert_resource(Connection(connection));
}
